%global momorel 6
%global qtver 4.5.2

Summary: Libraries to integrate Last.fm services
Name: liblastfm
Version: 0.3.0
Release: %{momorel}m%{?dist}
License: GPLv3
URL: http://github.com/mxcl/liblastfm/tree/master
Group: System Environment/Libraries
Source0: http://cdn.last.fm/src/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-qmake.patch
Patch1: liblastfm-0.3.0-ruby19.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt-devel >= %{qtver}
BuildRequires: fftw-devel
BuildRequires: glib2-devel
BuildRequires: keyutils-libs-devel
BuildRequires: krb5-devel
BuildRequires: libsamplerate-devel
BuildRequires: openssl-devel
BuildRequires: ruby
BuildRequires: libselinux-devel
BuildRequires: zlib-devel

%description
liblastfm is a collection of libraries to help you integrate Last.fm services
into your rich desktop software. It is officially supported software developed
by Last.fm staff.

%package devel
Summary: Header files and static libraries from liblastfm
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on liblastfm.

%prep
%setup -q

%patch0 -p1 -b .qmake
%patch1 -p1 -b .ruby19

%build
export LIB=%{_lib}
./configure \
	--prefix %{_prefix} \
	--release

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/liblastfm.so.*
%{_libdir}/liblastfm_fingerprint.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/lastfm
%{_includedir}/lastfm.h
%{_libdir}/liblastfm.so
%{_libdir}/liblastfm_fingerprint.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.0-6m)
- full rebuild for mo7 release

* Fri Aug  6 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-5m)
- use ruby19

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.3.0-4m)
- rebuild against qt-4.6.3-1m

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.0-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.0-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.0-1m)
- initial package for scrobblers using Momonga Linux
- import qmake.patch from Fedora
